# -*- rpm-spec -*-
Summary:        Direct geometry TOF neutron spectrometer reduction
Name:           drchops
Version:        2.0alpha
Release:        0
License:        BSD
Group:          Development/Tools
Source:         drchops-2.0alpha.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  git
BuildRequires:  gcc-c++
BuildRequires:	cmake > 2.6
BuildRequires:	make
BuildRequires:  python-devel
BuildRequires:  numpy

Requires: python
Requires: numpy
Requires: danse.ins

%description
Direct geometry TOF neutron spectrometer reduction

%define prefix /opt/danse
%define rpmprefix $RPM_BUILD_ROOT%{prefix}
%define srcdirname %{name}-%{version}

%prep
%setup -q -n %{srcdirname}

%build
cd ..
rm -rf build_tree
mkdir build_tree
cd build_tree
cmake -DCMAKE_INSTALL_PREFIX=%{rpmprefix} -DDEPLOYMENT_PREFIX=%{prefix} ../%{srcdirname}
make

%install 
cd ../build_tree
make install

%clean
cd ..
rm -rf %{srcdirname}
rm -rf build_tree

%files
%defattr(-,root,root,-)
%{prefix}/include/drchops/*
%{prefix}/lib64/*
# %{prefix}/bin/*

%changelog
